# Method: tokens.verify

- [HTTP request](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.request_body)
- [Response body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.VerifyTokenResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#body.aspect)
- [TokenStatus](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#TokenStatus)

Verify a Chrome Device Token.

### HTTP request

`GET https://chromedevicetoken.googleapis.com/v1/tokens/{name}:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the token to verify. Format: tokens/{token} |

### Query parameters

| Parameters ||
|---|---|
| `tokenType` | ``enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#TokenType`)`` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for verifying token.

| JSON representation ||
|---|---|
| ``` { "token": { object (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`) }, "tokenStatus": enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#TokenStatus`) } ``` |

| Fields ||
|---|---|
| `token` | ``object (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`)`` |
| `tokenStatus` | ``enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/verify#TokenStatus`)`` |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chromeosdevicetoken`

## TokenStatus

| Enums ||
|---|---|
| `UNSPECIFIED_TOKEN_STATUS` | Token Status unspecified. |
| `VALID` | Device token is valid |
| `INVALID` | Device token is invalid |